package com.steerinfo.meterwork.meterworkcheckfirstactual.model;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class FirstActualImgData {
    private String baseSpotNo;
    private String baseSpotName;
    private String id;
    @ApiModelProperty(value="一次或结净主键",required=true)
    private String checkId;
    @ApiModelProperty(value="核查开始时间",required=false)
    private Date checkStartTime;
    @ApiModelProperty(value="核查结束时间",required=false)
    private Date checkEndTime;
    @ApiModelProperty(value="核查用时",required=false)
    private BigDecimal checkUsedSeconds;
    @ApiModelProperty(value="核查人编号",required=false)
    private String checkManNo;
    @ApiModelProperty(value="核查人",required=false)
    private String checkManName;
    @ApiModelProperty(value="核查结果",required=false)
    private String checkResult;
    @ApiModelProperty(value="衡器类型（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）",required=false)
    private String typeNo;
    @ApiModelProperty(value="衡器类型名称（001002001：汽车衡、001019001：静态轨道衡、001019002:动态轨道衡、001019003:静态铁水轨道衡、001019004:动态铁水轨道衡、001019005:吊钩秤）",required=false)
    private String typeName;
    @ApiModelProperty(value="0:一次数据、1:净重数据",required=false)
    private String valueFlag;

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId;
    }

    public Date getCheckStartTime() {
        return checkStartTime;
    }

    public void setCheckStartTime(Date checkStartTime) {
        this.checkStartTime = checkStartTime;
    }

    public Date getCheckEndTime() {
        return checkEndTime;
    }

    public void setCheckEndTime(Date checkEndTime) {
        this.checkEndTime = checkEndTime;
    }

    public BigDecimal getCheckUsedSeconds() {
        return checkUsedSeconds;
    }

    public void setCheckUsedSeconds(BigDecimal checkUsedSeconds) {
        this.checkUsedSeconds = checkUsedSeconds;
    }

    public String getCheckManNo() {
        return checkManNo;
    }

    public void setCheckManNo(String checkManNo) {
        this.checkManNo = checkManNo;
    }

    public String getCheckManName() {
        return checkManName;
    }

    public void setCheckManName(String checkManName) {
        this.checkManName = checkManName;
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult;
    }

    public String getTypeNo() {
        return typeNo;
    }

    public void setTypeNo(String typeNo) {
        this.typeNo = typeNo;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }
}
